import { ChangeDetectorRef, OnChanges, SimpleChanges } from '@angular/core';
import { NgxMatSelectFetchOptionsDirective } from './ngx-mat-select-fetch-options';
import { NgxMatSelectComponent } from '../../select';
import * as i0 from "@angular/core";
export declare class NgxMatSelectFetchOptionsClientSideDirective extends NgxMatSelectFetchOptionsDirective implements OnChanges {
    /**
     * the options that we want to pick up an item or items from them
     */
    options: unknown[] | null | undefined;
    /**
     * if true the loading indicator appears in the panel,
     * you can use this, when the options are loading for the very first time
     * @param value
     */
    set loading(value: boolean | undefined | null);
    /**
     * a search comparison function, that will be applied on filtering of the options when the client searches
     */
    searchComparison?: (searchTerm: string, option: any) => boolean;
    constructor(host: NgxMatSelectComponent, changeDetectorRef: ChangeDetectorRef);
    /**
     * to search the options through the searchTerm
     * @param searchTerm
     */
    search: (searchTerm: string) => void;
    /**
     * to sort the selected items according to the received options,
     * or the provided sortComparator function
     */
    protected sortValues: () => void;
    /**
     * if a value is not present in the received options, it would be omitted from the value and the selection
     */
    protected syncValueAndOptions: () => void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxMatSelectFetchOptionsClientSideDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxMatSelectFetchOptionsClientSideDirective, "ngx-mat-select[clientSide]:not(ngx-mat-select[serverSide])", ["ngxMatSelectClientSide"], { "options": "options"; "loading": "loading"; "searchComparison": "searchComparison"; }, {}, never, never, false, never>;
}
