import { AfterViewInit, EventEmitter, OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
export declare class NgxMatSelectSearchBoxComponent implements AfterViewInit, OnDestroy {
    /**
     * the search box input element
     * @private
     */
    private searchBox;
    /**
     * it raises an event whenever the client write down a word on the input element.
     * the delay go with this property and the delay will cause a delay on the raising the event
     */
    search: EventEmitter<string>;
    /**
     * emits an event when the client press a keyboard
     */
    handleKeydown: EventEmitter<KeyboardEvent>;
    /**
     * to make a debounce-time delay whenever the client write a word down, in millisecond
     */
    debounceTime: number;
    /**
     * the placeholder on the input search-box
     */
    placeholder: string;
    /**
     * the value of the input which is bound to the input with two ways binding
     */
    value: string;
    /**
     * whether search-input is focused
     */
    focused: boolean;
    /**
     * an observable to manage destroying the other observables
     * @private
     */
    private destroy$;
    ngAfterViewInit(): void;
    /**
     * to handle focusing in the search-box
     */
    focus(): void;
    /**
     * to handle focusing in the search-box
     */
    blur(): void;
    /**
     * to clear the input value
     */
    clear(): void;
    /**
     * when blurring from the search-box input
     */
    _onBlur(): void;
    /**
     * when focusing on the search-box input
     */
    _onFocus(): void;
    ngOnDestroy(): void;
    /**
     * to listen to the search-box input event whenever a word is written down
     * @private
     */
    private initializeSearchBox;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxMatSelectSearchBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxMatSelectSearchBoxComponent, "ngx-mat-select-search-box", never, { "debounceTime": "debounceTime"; "placeholder": "placeholder"; }, { "search": "search"; "handleKeydown": "handleKeydown"; }, never, never, false, never>;
}
