import { EventEmitter, TemplateRef } from '@angular/core';
import { NgxMatSelectMultipleDisplay } from '../../select-model';
import * as i0 from "@angular/core";
export declare class NgxMatSelectTriggerComponent {
    /**
     * it raises an event to remove an item from the selected options
     */
    deselect: EventEmitter<unknown>;
    /**
     * the custom template which is used as trigger inside the select box, will be provided with selected options
     */
    customTrigger?: TemplateRef<{
        $implicit: boolean;
    }> | null;
    /**
     * the selected items
     */
    selection: unknown[];
    /**
     * if the trigger is empty or not, the default value is true
     */
    empty: boolean;
    /**
     * the placeholder when there is no value
     */
    placeholder?: string;
    /**
     * to disable the trigger
     */
    disabled: boolean;
    /**
     * if it's true it shows the multiple text and chips
     */
    multiple: boolean;
    /**
     * Name of the label field of an option
     * */
    optionLabel?: string;
    /**
     * how to show the selected options inside the form-field when the multiple value it's true
     */
    multipleDisplay?: NgxMatSelectMultipleDisplay;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxMatSelectTriggerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxMatSelectTriggerComponent, "ngx-mat-select-trigger", never, { "customTrigger": "customTrigger"; "selection": "selection"; "empty": "empty"; "placeholder": "placeholder"; "disabled": "disabled"; "multiple": "multiple"; "optionLabel": "optionLabel"; "multipleDisplay": "multipleDisplay"; }, { "deselect": "deselect"; }, never, never, false, never>;
}
